Bug 35697 - OpenLDAP in UCS 4.0
OpenLDAP in UCS 4.0
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: LDAP
UCS 4.0
Other Linux
: P5 enhancement (vote)
: UCS 4.0
Assigned To: Felix Botner
Arvid Requate
: interim-2
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-08-25 16:34 CEST by Arvid Requate
Modified: 2014-11-26 06:54 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate univentionstaff 2014-08-25 16:34:50 CEST
OpenLDAP fixed a couple of things in the MDB backend code, so maybe we want to import the new package. Acutually it's already in jessie (currently):

* http://www.openldap.org/software/release/changes.html
* https://packages.debian.org/jessie/slapd
Comment 1 Arvid Requate univentionstaff 2014-08-28 15:51:04 CEST
looks like 2.4.40 is about to be released in the next couple of days:

http://www.openldap.org/lists/openldap-devel/201408/msg00016.html

will be the first update since january with a couple of fixes:

http://www.openldap.org/devel/gitweb.cgi?p=openldap.git;a=blob;f=CHANGES;
h=2075dcd6d984bd098f6a9b6d2a34546157547555;hb=refs/heads/OPENLDAP_REL_ENG_2_4
Comment 2 Arvid Requate univentionstaff 2014-09-01 11:30:48 CEST
There is our 31_avoid_OID_changes.patch, which patches the OpenLDAP internal OIDs back so the OpenLDAP 2.3 conventions. We might consider to drop that patch at some point. If we don't, then we need to adjust replication.py to cover additional OIDs:

> There are additional builtin OIDs to be considered in replication.py for MDB:
> 
> 1.3.6.1.4.1.4203.666.11.1.3.2.12.1   # olcDbMaxReaders
> 1.3.6.1.4.1.4203.666.11.1.3.2.12.2   # olcDbMaxSize
> 1.3.6.1.4.1.4203.666.11.1.3.2.12.3   # olcDbEnvFlags

See Bug 35144 Comment 12.
Comment 3 Felix Botner univentionstaff 2014-10-01 13:38:58 CEST
imported openldap 2.4.39-1.1 from debian jessie

disabled:

 * 01_adjust_debian_patches_to_upstream.patch
   -> debian patches have been fixed with 2.4.39-1

 * 01_disable_debian_patches_heimdal-fix.patch
   91_heimdal-build-fix.patch
   -> debian patch debian/patches/heimdal-fix is identical 
      no need to disable this debian patch and add a patch
      that does the same thing

 * 90_bug31170.patch
   -> this is already upstream

added:

 * 55_db5.1.patch
   -> use db5.1 (instead of 5.3)
Comment 4 Arvid Requate univentionstaff 2014-10-01 14:31:41 CEST
2.4.40 has been released, maybe we can simply run uupdate on the debian package: http://www.openldap.org/software/download/
Comment 5 Felix Botner univentionstaff 2014-10-01 16:36:19 CEST
"uupdated" the 2.4.39 package to version 2.4.40.

Removed doc/drafts, doc/rfcs and servers/slapd/schema/core.schema from the source tarball (debian can not ship these files).

Also removed debian/patches/CVE-2013-4449.patch, this is already upstream

Build package openldap_2.4.40-1 for UCS 4.0

Maybe we should wait for the official debian package and check, if they there are additional changes.
Comment 6 Felix Botner univentionstaff 2014-10-02 13:24:56 CEST
(In reply to Felix Botner from comment #5)

> Maybe we should wait for the official debian package and check, if they
> there are additional changes.

no
Comment 7 Arvid Requate univentionstaff 2014-10-06 17:10:37 CEST
Debian package is ok and the Univention patches have been applied for the built.

> Also removed debian/patches/CVE-2013-4449.patch, this is already upstream

Verified. Changelog is ok too.
Comment 8 Stefan Gohmann univentionstaff 2014-11-26 06:54:27 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".